ReactPhysics3D: reactphysics3d::SphereVsCapsuleAlgorithm Class Reference

| ReactPhysics3D v0.10.2 C++ Physics engine library

Loading...
Searching...
No Matches
Public Member Functions | List of all members
reactphysics3d::SphereVsCapsuleAlgorithm Class Reference

This class is used to compute the narrow-phase collision detection between a sphere collision shape and a capsule collision shape. More...

`#include <include/reactphysics3d/collision/narrowphase/SphereVsCapsuleAlgorithm.h>`

Inheritance diagram for reactphysics3d::SphereVsCapsuleAlgorithm:

## Public Member Functions
| SphereVsCapsuleAlgorithm ()=default
| Constructor.
virtual | ~SphereVsCapsuleAlgorithm () override=default
| Destructor.
| SphereVsCapsuleAlgorithm (const SphereVsCapsuleAlgorithm &algorithm)=delete
| Deleted copy-constructor.
SphereVsCapsuleAlgorithm & | operator= (const SphereVsCapsuleAlgorithm &algorithm)=delete
| Deleted assignment operator.
bool | testCollision (NarrowPhaseInfoBatch &narrowPhaseInfoBatch, uint32 batchStartIndex, uint32 batchNbItems, MemoryAllocator &memoryAllocator)
| Compute the narrow-phase collision detection between a sphere and a capsule.
Public Member Functions inherited from reactphysics3d::NarrowPhaseAlgorithm
| NarrowPhaseAlgorithm ()=default
| Constructor.
virtual | ~NarrowPhaseAlgorithm ()=default
| Destructor.
| NarrowPhaseAlgorithm (const NarrowPhaseAlgorithm &algorithm)=delete
| Deleted copy-constructor.
NarrowPhaseAlgorithm & | operator= (const NarrowPhaseAlgorithm &algorithm)=delete
| Deleted assignment operator.

## Detailed Description

This class is used to compute the narrow-phase collision detection between a sphere collision shape and a capsule collision shape.

For this case, we do not use GJK or SAT algorithm. We directly compute the contact points and contact normal. This is based on the "Robust Contact Creation for Physics Simulation" presentation by Dirk Gregorius.

The documentation for this class was generated from the following files:

- include/reactphysics3d/collision/narrowphase/SphereVsCapsuleAlgorithm.h
- src/collision/narrowphase/SphereVsCapsuleAlgorithm.cpp